com.atid.lib.module.barcode.ssi.type

## Enum Inverse1D

- java.lang.Object
- - java.lang.Enum<Inverse1D>
  - - com.atid.lib.module.barcode.ssi.type.Inverse1D

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<Inverse1D>

      public enum Inverse1D
      extends java.lang.Enum<Inverse1D>
      implements IEnumType

  This parameter sets the 1D inverse decoder setting.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Inverse` the decoder decodes inverse 1D bar codes only.
    `InverseAutodetect` the decoder decodes both regular and inverse 1D bar codes.
    `Regular` the decoder decodes regular 1D bar codes only.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static Inverse1D` | `valueOf(int code)`
    `static Inverse1D` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Inverse1D[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Regular

          public static final Inverse1D Regular

      the decoder decodes regular 1D bar codes only.

    - #### Inverse

          public static final Inverse1D Inverse

      the decoder decodes inverse 1D bar codes only.

    - #### InverseAutodetect

          public static final Inverse1D InverseAutodetect

      the decoder decodes both regular and inverse 1D bar codes.

  - ### Method Detail

    - #### values

          public static Inverse1D[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Inverse1D c : Inverse1D.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Inverse1D valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<Inverse1D>`

    - #### valueOf

          public static Inverse1D valueOf(int code)